Error installings

Technical Support
Says
"Required specfications"
"Intel Pentium® D 2.8 GHz or AMD Athlon™ 64 X2 4400+"

Where would I get this, or does my computer just suck?
anyone?

Join the Conversation

Return to Forum